Index: main_p.f
===================================================================
--- main_p.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ main_p.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,17 +1,17 @@
-!     **************************************************************
-!
-!     This file contains the   main (PARALLEL TEMPERING  JOBS ONLY,
-!     FOR SINGULAR PROCESSOR JOBS USE main)
-!
-!     This file contains also the subroutine: p_init_molecule
-!
-!     Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!     Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-!     CALLS init_energy,p_init_molecule,partem_p
-!
-!     **************************************************************
+c     **************************************************************
+c     
+c     This file contains the   main (PARALLEL TEMPERING  JOBS ONLY,
+C     FOR SINGULAR PROCESSOR JOBS USE main)
+C     
+C     This file contains also the subroutine: p_init_molecule
+c     
+c     Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c     Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c     
+C     CALLS init_energy,p_init_molecule,partem_p
+C     
+c     **************************************************************
       program pmain
 
@@ -21,9 +21,4 @@
       include 'mpif.h'
 
-      double precision startwtime, group_world, error, endwtime
-
-      integer ierr, num_proc, iabin, nequi, nswp, nmes, nsave, ifrm, j
-      integer i, nml, nresi, my_pt_rank, ncalls, nacalls
-
       character*80 libdir
       character*80 in_fil,ou_fil,filebase, varfile
@@ -33,20 +28,20 @@
       logical newsta
 
-!c    Number of replicas
+cc    Number of replicas 
       integer num_replica
-!c    Number of processors per replica
+cc    Number of processors per replica
       integer num_ppr
-!c    Range of processor for crating communicators
+cc    Range of processor for crating communicators
       integer proc_range(3)
-!c    Array of MPI groups
+cc    Array of MPI groups
       integer group(MAX_REPLICA), group_partem
-!c    Array of MPI communicators
+cc    Array of MPI communicators
       integer comm(MAX_REPLICA), partem_comm
-!c    Array of nodes acting as masters for the energy calculation.
+cc    Array of nodes acting as masters for the energy calculation.
       integer ranks(MAX_REPLICA)
-!c    Configuration switch
+cc    Configuration switch
       integer switch
       integer rep_id
-!     set number of replicas
+c     set number of replicas
       double precision eols(MAX_REPLICA)
 
@@ -55,5 +50,5 @@
 
 
-!     MPI stuff, and random number generator initialisation
+c     MPI stuff, and random number generator initialisation
 
       call mpi_init(ierr)
@@ -66,18 +61,18 @@
       call sgrnd(seed)          ! Initialize the random number generator
 
-!     =================================================== Energy setup
-      libdir='SMMP/'
-!     Directory for SMMP libraries
-
-!     The switch in the following line is now not used.
+c     =================================================== Energy setup
+      libdir='SMMP/'      
+c     Directory for SMMP libraries
+
+c     The switch in the following line is now not used.
       flex=.false.              ! .true. for Flex  / .false. for ECEPP
 
-!     Choose energy type with the following switch instead ...
+c     Choose energy type with the following switch instead ...
       ientyp = 0
-!     0  => ECEPP2 or ECEPP3 depending on the value of sh2
-!     1  => FLEX
-!     2  => Lund force field
-!     3  => ECEPP with Abagyan corrections
-!
+c     0  => ECEPP2 or ECEPP3 depending on the value of sh2
+c     1  => FLEX 
+c     2  => Lund force field
+c     3  => ECEPP with Abagyan corrections
+c     
 
       sh2=.false.               ! .true. for ECEPP/2; .false. for ECEPP3
@@ -92,9 +87,9 @@
       call init_energy(libdir)
 
-!     calculate CPU time using MPI_Wtime()
+c     calculate CPU time using MPI_Wtime()
       startwtime = MPI_Wtime()
 
 
-!     ================================================= Structure setup
+c     ================================================= Structure setup
       grpn = 'nh2'              ! N-terminal group
       grpc = 'cooh'             ! C-terminal group
@@ -111,39 +106,40 @@
                             !   temperatures must have at least as many
                             !   entries
-      nequi=10              ! Number of MC sweeps before measurements
-                            !   and replica exchanges are started
+      nequi=10              ! Number of MC sweeps before measurements 
+                            !   and replica exchanges are started 
       nswp=500000           ! Number of sweeps
       nmes=10               ! Interval for measurements and replica exchange
       nsave=1000            ! Not used at the moment
-
-      switch = -1           ! How should the configuration be
+                    
+      switch = -1           ! How should the configuration be   
                             !   initialized?
-                            ! -1 stretched chain
+                            ! -1 stretched chain 
                             !  0 don't do anything
                             !  1 initialize each angle to a random value
-
+      
       ifrm=0
       ntlml = 0
 
-! Decide if and when to use BGS, and initialize Lund data structures
+c Decide if and when to use BGS, and initialize Lund data structures 
       bgsprob=0.6    ! Prob for BGS, given that it is possible
-! upchswitch= 0 => No BGS 1 => BGS with probability bgsprob
-! 2 => temperature dependent choice
+c upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
+c 2 => temperature dependent choice 
       upchswitch=1
       rndord=.true.
-!     =================================================================
-!     Distribute nodes to parallel tempering tasks
-!     I assume that the number of nodes available is an integer
-!     multiple n of the number of replicas. Each replica then gets n
-!     processors to do its energy calculation.
+      if (ientyp.eq.2) call init_lundff
+c     =================================================================
+c     Distribute nodes to parallel tempering tasks
+c     I assume that the number of nodes available is an integer 
+c     multiple n of the number of replicas. Each replica then gets n
+c     processors to do its energy calculation.
       num_ppr = num_proc / num_replica
 
       call mpi_comm_group(mpi_comm_world,  group_world, error)
 
-!     The current version doesn't require a separate variable j. I
-!     could just use i * num_ppr but this way it's more flexible.
+c     The current version doesn't require a separate variable j. I
+c     could just use i * num_ppr but this way it's more flexible.
       j = 0
-      do i = 1, num_replica
-         ranks(i) = j
+      do i = 1, num_replica 
+         ranks(i) = j 
          proc_range(1) = j
          proc_range(2) = j + num_ppr - 1
@@ -151,5 +147,5 @@
          call mpi_group_range_incl(group_world, 1, proc_range, group(i)
      &                              ,error)
-         write (logString, *) "Assigning rank ", j, proc_range,
+         write (*,*) "Assigning rank ", j, proc_range, 
      &               "to group", group(i)
          call flush(6)
@@ -162,20 +158,19 @@
              my_mpi_comm = comm(i)
              rep_id = i - 1
-             write (logString, *) rep_id, "has comm", my_mpi_comm
+             write (*,*) rep_id, "has comm", my_mpi_comm
              call flush(6)
          endif
       enddo
 
-!     Setup the communicator used for parallel tempering
-      write (logString, *) "PTGroup=", ranks(:num_replica)
+c     Setup the communicator used for parallel tempering
+      write (*,*) "PTGroup=", ranks(:num_replica)
       call flush(6)
       call mpi_group_incl(group_world, num_replica, ranks, group_partem,
      &                    error)
-      call mpi_comm_create(mpi_comm_world, group_partem, partem_comm,
+      call mpi_comm_create(mpi_comm_world, group_partem, partem_comm, 
      &                     error)
 
       if (partem_comm.ne.MPI_COMM_NULL) then
-         write (logString, *) partem_comm,myrank, "is master for ", 
-     &      rep_id, "."
+         write (*,*) partem_comm,myrank, "is master for ", rep_id, "."
       endif
 
@@ -183,5 +178,5 @@
       call mpi_comm_size(my_mpi_comm,no,ierr)
 
-      write (logString, *) "My new rank is ", myrank, "of", no
+      write (*,*) "My new rank is ", myrank, "of", no
       call flush(6)
 ! = Done setting up communicators =====================================
@@ -190,20 +185,16 @@
          varfile = 'EXAMPLES/1bdd.var'
          call init_molecule(iabin, grpn, grpc,in_fil,varfile)
-      else
+      else 
          filebase = "conf_0000.var"
          call init_molecule(iabin, grpn, grpc,in_fil,
      &        fileNameMP(filebase, 6, 9, rep_id + 1))
       endif
-      call init_lund
-!     Must call init_lundff *after* molecule has been loaded.
-      if (ientyp.eq.2) call init_lundff
       if (ientyp.eq.3) call init_abgn
 
       nml = 1
 
-
-!     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
+c     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
       call rmsinit(nml,'EXAMPLES/1bdd.pdb')
-!     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
+c     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
 
 !     READ  REFERENCE CONTACT MAP
@@ -220,20 +211,20 @@
       end do
 
-!     ========================================  start of parallel tempering run
-      write (logString, *) "There are ", no,
+c     ========================================  start of parallel tempering run
+      write (*,*) "There are ", no,
      &            " processors available for ",rep_id
       call flush(6)
       nml = 1
       call distributeWorkLoad(no, nml)
-
+      
       call partem_p(num_replica, nequi, nswp, nmes, nsave, newsta,
      &              switch, rep_id, partem_comm)
-!     ========================================  end of parallel tempering run
-!     calculate CPU time using MPI_Wtime()
+c     ========================================  end of parallel tempering run
+c     calculate CPU time using MPI_Wtime()
       endwtime = MPI_Wtime()
 
 
       if(my_pt_rank.eq.0) then
-         write (logString, *) "time for simulation using ", num_proc,
+         write(*,*) "time for simulation using ", num_proc,
      &        " processors =",  endwtime - startwtime, " seconds"
          call flush(6)
@@ -245,5 +236,5 @@
       enddo
 
-!     ========================================  End of main
+c     ========================================  End of main
       CALL mpi_finalize(ierr)
 
Index: metropolis.f
===================================================================
--- metropolis.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ metropolis.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,29 +1,23 @@
-! **************************************************************
-!
-! This file contains the subroutines:  metropolis
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines:  metropolis
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
 
       subroutine metropolis(eol1,acz,dummy)
-!
-! SUBROUTINE FOR METROPOLIS UPDATE OF CONFIGURATIONS
-!
-! CALLS: energy,addang,grnd,dummy (function provided as argument)
-!
+C
+C SUBROUTINE FOR METROPOLIS UPDATE OF CONFIGURATIONS
+C
+C CALLS: energy,addang,grnd,dummy (function provided as argument)
+C
       include 'INCL.H'
       include 'INCP.H'
       include 'incl_lund.h'
-      
-      double precision eol, energy, grnd, dv, addang, enw, delta, dummy
-      double precision rd, ex, acz, eol1
-
-      integer nsw, iupstate, iupt, ivar, jv, iml, i, ncalls, nacalls
-
       external dummy
 !      common/bet/beta
@@ -31,11 +25,11 @@
       integer updtch1, updtch2,bgs
       double precision vrol(mxvr), gbol
-!f2py intent(in, out) eol
-!f2py intent(in, out) acz
+cf2py intent(in, out) eol
+cf2py intent(in, out) acz
       eol = energy()
-!     external rand
+c     external rand
       do nsw=1,nvr
-! Loop over dihedrals
-!
+c Loop over dihedrals
+c
          iupstate=0
          iupt=1
@@ -60,16 +54,16 @@
             iupstate=bgs(eol,dummy)
          else
-!           Simple twist of 
-!           Get Proposal configuration
+c           Simple twist of 
+c           Get Proposal configuration
             vrol=vlvr!(jv)  
             dv=axvr(jv)*(grnd()-0.5)
             vlvr(jv)=addang(vrol(jv),dv)
-!
-!           Get dummy of proposal configuration
-!
+c
+c           Get dummy of proposal configuration
+c
             enw = energy()
-!
+c
             delta =  dummy(enw) - dummy(eol)
-!           ___________________________ check acceptance criteria
+c           ___________________________ check acceptance criteria
             if (delta.le.0.0d0) then
                eol=enw  
@@ -87,9 +81,14 @@
             endif
          endif
+         enw1=energy()
+!          if (enw1.ne.eol) then
+!             write (*,*) 'metropolis: variable, enw1,eol,acptd',
+!      #           ivar,enw1,eol,acptd,(enw1-eol),enw
+!          endif
          acz=acz+iupstate*1.0
          call accanalyze(iupt,iupstate)
       end do
 
-! Updates on relative position of different molecules when there are many      
+c Updates on relative position of different molecules when there are many      
       if (ntlml.gt.1) then
          do iml=1, ntlml
@@ -105,13 +104,13 @@
                   endif
                endif
-!     
-!              Get dummy of proposal configuration
-!     
+c     
+c              Get dummy of proposal configuration
+c     
                enw = energy()
-!
+c
                delta =  dummy(enw) - dummy(eol)
-!     
-!              ____________________________ check acceptance criteria
-!     
+c     
+c              ____________________________ check acceptance criteria
+c     
                if (delta.le.0.0d0) then
                   eol=enw
@@ -139,13 +138,13 @@
                   gbpr(i, iml) = (grnd()-0.5) * pi2
                endif
-!     
-!              Get dummy of proposal configuration
-!     
+c     
+c              Get dummy of proposal configuration
+c     
                enw = energy()
-!     
+c     
                delta =  dummy(enw) - dummy(eol)
-!     
-!              ____________________________ check acceptance criteria
-!     
+c     
+c              ____________________________ check acceptance criteria
+c     
                if (delta.le.0.0d0) then
                   eol=enw
@@ -167,23 +166,21 @@
          enddo
       endif
-!     
-!     Re-calculate energy
-!     
+c     
+c     Re-calculate energy
+c     
       enw = energy()
       if(abs(eol-enw).gt.0.000001)  then
-         write (logString, *) 'metropolis: eol,enw,difference:', eol, 
-     &      enw, eol-enw
+         write(*,*) 'metropolis: eol,enw,difference:', eol, enw, eol-enw
          if (eol.lt.100000) then 
             stop 'metropolis: eol and enw difference unacceptable'
          endif
       endif
-!     
+c     
       eol1 = eol
       return
-!     
+c     
       end
       
       subroutine accanalyze(iuptype,iupdstate)
-      integer ncalls, nacalls, iupdstate, iuptype
       common/updstats/ncalls(5),nacalls(5)
       ncalls(5)=ncalls(5)+1
@@ -210,5 +207,4 @@
       integer iiii
       double precision bbbb,curprob, grnd,up2bmax,up2bmin
-
       common/updtparam/up2bmax,up2bmin
       curprob=(bbbb-up2bmin)/(up2bmax-up2bmin)
@@ -220,5 +216,4 @@
       end
       block data updtchs
-      integer ncalls, nacalls
       double precision up2bmax, up2bmin
       common/updtparam/up2bmax,up2bmin
Index: mincjg.f
===================================================================
--- mincjg.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ mincjg.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,62 +1,56 @@
-! **************************************************************
-!
-! This file contains the subroutines: mincjg
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! ********************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: mincjg
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c ********************************************************************
       subroutine mincjg(n,mxn,x,f,g,acur,d,xa,ga,dt,yt,gt,maxfun,nfun)
 
-! ....................................................................
-!
-!  Conjugate Gradient Minimizer
-!
-!  INPUT:   X,F,G - variables, value of FUNC, gradient at START/
-!           ACUR - convergence is assumed if ACUR > SUM ( G(I)**2 )
-!           MAXFUN - maximum overall number of function calls
-!
-!  OUTPUT:  X,F,G - variables, value of FUNC, gradient at MINIMUM
-!           NFUN  - overall number of function calls used
-!
-!  ARRAYS:  D,XA,GA,YT,DT,GT - dimension N
-!
-!  CALLS:   MOVE - calculate function & its gradients for current X
-!
-!  PARAMETERS:  AMF    - rough estimate of first reduction in F, used
-!                        to guess initial step of 1st line search
-!               MXFCON - see 'ier=4'
-!               MAXLIN -
-!
-!  DIAGNOSTICS (ier)
-!
-!           = 0: minimization completed successfully
-!           = 1: number of steps reached MAXFUN
-!           = 2: line search was abandoned
-!           = 3: search direction is uphill
-!           = 4: two consecutive line searches failed to reduce F
-! ....................................................................
-
-      double precision amf, tol, eps, gsqrd, fmin, f, t, g, ga, d, xa, x
-      double precision gsq2, gnew, dfpr, stmin, fuit, gdit, gt, gdmi
-      double precision sbound, stepch, step, wo, sum, fch, acur, ddspln
-      double precision gspln, beta, gama, yt, dt, gamden, di
-
-      integer mxfcon, maxlin, mxn, ier, iter, iterfm, iterrs, nfun
-      integer nfopt, i, n, nfbeg, iretry, maxfun
+c ....................................................................
+c
+c  Conjugate Gradient Minimizer
+c
+c  INPUT:   X,F,G - variables, value of FUNC, gradient at START/
+c           ACUR - convergence is assumed if ACUR > SUM ( G(I)**2 )
+c           MAXFUN - maximum overall number of function calls
+c
+c  OUTPUT:  X,F,G - variables, value of FUNC, gradient at MINIMUM
+c           NFUN  - overall number of function calls used
+c
+c  ARRAYS:  D,XA,GA,YT,DT,GT - dimension N
+c
+c  CALLS:   MOVE - calculate function & its gradients for current X
+c
+c  PARAMETERS:  AMF    - rough estimate of first reduction in F, used
+c                        to guess initial step of 1st line search
+c               MXFCON - see 'ier=4'
+c               MAXLIN -
+c
+c  DIAGNOSTICS (ier)
+c
+c           = 0: minimization completed successfully
+c           = 1: number of steps reached MAXFUN
+c           = 2: line search was abandoned
+c           = 3: search direction is uphill
+c           = 4: two consecutive line searches failed to reduce F
+c ....................................................................
+
+      implicit real*8 (a-h,o-z)
+      implicit integer*4 (i-n)
 
       parameter (AMF = 10.d0,
-     &           MXFCON = 2,
-     &           MAXLIN = 5,
-     &           TOL = 1.d-7,  ! controls 'stepch'
-     &           EPS = .7d0)
+     #           MXFCON = 2,
+     #           MAXLIN = 5,
+     #           TOL = 1.d-7,  ! controls 'stepch'
+     #           EPS = .7d0)
 
       dimension x(mxn),g(mxn),
-     &          d(mxn),xa(mxn),ga(mxn),dt(mxn),yt(mxn),gt(mxn)
-
-      character(255) logString
-      
+     #          d(mxn),xa(mxn),ga(mxn),dt(mxn),yt(mxn),gt(mxn)
+
+
       ier = 0
       iter = 0
@@ -94,5 +88,5 @@
 
       if ( gdit .ge. 0.d0 ) then
-        write (logString, *) ' mincjg>  search direction is uphill'
+        write(*,*) ' mincjg>  search direction is uphill'
         ier = 3
         goto 6
@@ -108,5 +102,5 @@
 
     2 step = stmin + stepch
-      wo = 0.d0
+      wo = 0.d0 
 
       do i=1,n
@@ -160,9 +154,8 @@
 
         if ( nfun .gt. (nfbeg + 1) .or.
-     &       abs(gdmi/gdit) .gt. EPS ) then
+     #       abs(gdmi/gdit) .gt. EPS ) then
 
           ier=2
-          write (logString, *) 
-     &       ' mincjg>  too small step in search direction'
+          write(*,*) ' mincjg>  too small step in search direction'
         endif
 
@@ -189,5 +182,5 @@
 
       if ( fch .ne. 0.d0 )  ddspln = ddspln + (wo + wo) / stepch
-
+ 
       if ( gdmi .eq. 0.d0 )  goto 6
 
@@ -212,5 +205,5 @@
 
       if ( (gdmi * gspln) .lt. 0.d0 )  stepch = stepch * gdmi /
-     &                                          (gdmi - gspln)
+     #                                          (gdmi - gspln)
 
       goto 2
@@ -232,6 +225,5 @@
       if ( iter .ge. (iterfm + MXFCON) ) then
         ier = 4
-        write (logString, *) 
-     &    ' mincjg>  line search failed to reduce function'
+        write(*,*) ' mincjg>  line search failed to reduce function'
         return
       endif
@@ -250,5 +242,5 @@
 
         if (iterrs .ne. 0 .and. (iter - iterrs) .lt. (n-1) .and.
-     &      abs(sum) .lt. gsq2 ) then
+     #      abs(sum) .lt. gsq2 ) then
 
           gama = 0.d0
@@ -307,5 +299,5 @@
       call move(nfun,n,f,x,g)
 
-      write (logString, *) ' mincjg> ier = ',ier
+      write(*,*) ' mincjg> ier = ',ier
 
       return
